# PAtomicBase Class Reference

`#include <critsec.h>`

Inheritance diagram for PAtomicBase:

List of all members.

## Public Types

typedef int | IntegerType

## Public Member Functions

| ~PAtomicBase ()
| Destroy the atomic integer.

## Protected Member Functions

| PAtomicBase (IntegerType value)

## Protected Attributes

pthread_mutex_t | m_mutex
IntegerType | m_value

## Member Typedef Documentation

typedef int PAtomicBase::IntegerType

Reimplemented in PAtomicInteger.

## Constructor & Destructor Documentation

__inline PAtomicBase::PAtomicBase | ( | IntegerType | value | ) | `[explicit, protected]`

__inline PAtomicBase::~PAtomicBase | ( |  | ) |

Destroy the atomic integer.

## Member Data Documentation

pthread_mutex_t PAtomicBase::m_mutex `[protected]`

IntegerType PAtomicBase::m_value `[protected]`

The documentation for this class was generated from the following file:

- critsec.h